Create a Merchant
POST
/merchants/{merchant}
Register a new merchant.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Location
Host
string
E.g. pay.caspeco.net
Example
pay.caspeco.netDate
string
E.g. Tue, 15 Nov 2014 08:12:31 GMT
Example
Tue, 15 Nov 2014 08:12:31 GMTDigest
string
E.g. SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=
Example
SHA-256=7oaYBB1oQVPy1BvP2ndYtxdD5EWNynt9lxCHzOdXb1A=Request Body
Section titled “Request Body”Media typeapplication/json
object
Name
string
BankAccountNumber
string
BankName
string
ClearingNumber
string
BankgiroNumber
string
PlusgiroNumber
string
MerchantId
string
Country
string
Email
string
Msisdn
string
PostalCode
string
City
string
StreetAddress
string
PersonalIdentiyNumber
string
Terminals
string
TransactionFeeVariable
decimal
TransactionFeeFixed
decimal
FeeCurrency
string
DistributorId
integer
DistributorName
string
Examplegenerated
{ "Name": "example", "BankAccountNumber": "example", "BankName": "example", "ClearingNumber": "example", "BankgiroNumber": "example", "PlusgiroNumber": "example", "MerchantId": "example", "Country": "example", "Email": "example", "Msisdn": "example", "PostalCode": "example", "City": "example", "StreetAddress": "example", "PersonalIdentiyNumber": "example", "Terminals": "example", "TransactionFeeVariable": "example", "TransactionFeeFixed": "example", "FeeCurrency": "example", "DistributorId": 1, "DistributorName": "example"}Responses
Section titled “Responses”Created
Media typeapplication/json
object
Code
string
Examples
Exampleresponse
{ "Code": "OK"}